### Constructor

# Gtk EnumList new

unstable since: 4.24

#### Declaration [src]

    GtkEnumList*
    gtk_enum_list_new (
      GType enum_type
    )

#### Description [src]

Creates a new `GtkEnumList` for `enum_type`.

Available since: 4.24

#### Parameters

`enum_type`

  Type: `GType`

  The type of the enum to construct the model from.

#### Return value

Type: `GtkEnumList`

The newly created `GtkEnumList`.

The caller of the function takes ownership of the data, and is responsible for freeing it.